Bug 119578 - package with unknown GPG signature aborts update
package with unknown GPG signature aborts update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 10:44 EST by Philipp Berndt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 16:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philipp Berndt 2004-03-31 10:44:13 EST
Description of problem:
While updating when I come across a package with an unknown GPG 
signature my only options are continue Yes / No.

If I decide that I don't trust the package with the unknown sig
I have to abort and start the update all over again, select 
everything again except for the dubious package and try again (until 
I hit the next unsigned package).

I'd rather just skip *that* package or at least be able to go back to 
the package selection.
I don't even see which signature it is that I am missing.

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1
Comment 1 Adrian Likins 2004-04-07 16:16:51 EDT
Package transactions are computed before checking gpg
sigs. At the moment, there is no mechanism to reconstruct
a transaction if the gpg checks fail. There is no plan
to change this. 

Note You need to log in before you can comment on or make changes to this bug.